Skip to main content
GET
/
api
/
svc
/
v1
/
model-catalogues
/
finetune-specs
Get Finetuning Specifications
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/model-catalogues/finetune-specs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "metadata": {},
      "spec": {},
      "isAvailableInWorkspace": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

huggingfaceHubUrl
string
required

huggingface hub url

workspaceId
string
required

workspace id

huggingfaceHubTokenSecretFqn
string | null

Huggingface hub token secret

pipelineTagOverride
string | null

The pipeline tag of the model for which finetuning spec is being generated

Response

Returns finetuning specifications for the model version or HuggingFace model URL

data
ModelFinetuneSpec · object[]
required

Array of ModelFinetuneSpec